<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.casic.br">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <!--用户隐私权限-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /><!--允许获取设备和运营商信息，用于问题排查和网络定位（无gps情况下的定位），若需网络定位功能则必选-->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /><!--用于申请调用A-GPS模块-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /><!--用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /><!--用于访问GPS定位-->
    <uses-permission android:name="android.permission.CAMERA" /><!--相机权限-->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /><!--允许程序设置内置sd卡的d读权限-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /><!--允许程序设置内置sd卡的写权限-->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />

    <uses-sdk tools:overrideLibrary="com.pengxh.kt.lite" />

    <application
        android:name=".base.BaseApplication"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="false"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup,android:supportsRtl">
        <activity
            android:name=".view.PermissionActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name=".view.MainActivity" />
        <activity android:name=".view.WebsiteActivity" />
        <activity android:name=".view.LoginActivity" />
        <activity android:name=".view.RegisterActivity" />
        <activity android:name=".view.RegisterResultActivity" />
        <activity android:name=".view.home.AccountManageActivity" />
        <activity android:name=".view.home.PaymentActivity" />
        <activity android:name=".view.home.HistoricalBillActivity" />
        <activity android:name=".view.home.GasAnalysisActivity" />
        <activity android:name=".view.home.ServiceNetworkActivity" />
        <activity android:name=".view.home.SubsidyActivity" />
        <activity android:name=".view.EditUserActivity" />
        <activity android:name=".view.AddressManagerActivity" />
        <activity android:name=".view.AddressActivity" />
        <activity android:name=".view.SettingsActivity" />
        <activity android:name=".view.AllDeviceActivity" />
        <activity android:name=".view.AddDeviceActivity" />
        <activity android:name=".view.SelectWiFiActivity" />
        <activity android:name=".view.ConnectDeviceActivity" />
        <activity android:name=".view.ScanBluetoothActivity" />
        <activity android:name=".view.AddDeviceResultActivity" />
        <activity android:name=".view.AddNoIotDeviceActivity" />
        <activity android:name=".view.device.RangeHoodActivity" />
        <activity android:name=".view.device.WaterHeaterActivity" />
        <activity android:name=".view.device.waterheater.OnceConfigActivity" />
        <activity android:name=".view.device.waterheater.TimeConfigActivity" />
        <activity android:name=".view.device.waterheater.AddTimeConfigActivity" />
        <activity android:name=".view.device.waterheater.GasConsumeActivity" />
        <activity android:name=".view.device.FireplaceActivity" />
        <activity android:name=".view.device.CookerActivity" />
        <activity android:name=".view.device.PowerStripActivity" />
        <activity android:name=".view.device.SingleStripActivity" />
        <activity android:name=".view.device.SmartGatewayActivity" />
        <activity android:name=".view.ScanZigbeeActivity" />
        <activity android:name=".view.device.MotionSensorActivity" />
        <activity android:name=".view.device.TAndHSensorActivity" />
        <activity android:name=".view.device.FireSensorActivity" />
        <activity android:name=".view.device.CoSensorActivity" />
        <activity android:name=".view.device.GasSensorActivity" />
        <activity android:name=".view.device.WaterDispenserActivity" />
        <activity android:name=".view.device.waterdispenser.WaterConfigActivity" />
        <activity android:name=".view.device.AirCleanerActivity" />
        <activity android:name=".view.device.SweepingRobotActivity" />
        <activity android:name=".view.device.robot.RobotSettingsActivity" />
        <activity android:name=".view.device.robot.AddTimeConfigActivity" />
        <activity android:name=".view.device.HWGasAlarmActivity" />
        <activity android:name=".view.FaultDescriptionActivity" />

        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />

        <meta-data
            android:name="TUYA_SMART_APPKEY"
            android:value="d8wtsm4jnfmwe4jkpst8" />
        <meta-data
            android:name="TUYA_SMART_SECRET"
            android:value="f3k4ah5qxcfmhm5fhgpvfjje4adgh8at" />

        <!--高德地图Key-->
        <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="3ab3bebd5fe669d87b9b5334081e017b" />

        <!--高德定位服务-->
        <service android:name="com.amap.api.location.APSService" />

        <!--个推SDK的appid 重要！必须补充-->
        <meta-data
            android:name="GETUI_APPID"
            android:value="eZ9p4Pr7QT7nqKvz8EwWe4" />

        <service
            android:name=".service.ApplicationPushService"
            android:exported="false"
            android:label="PushService"
            android:process=":pushservice" /><!--android:process 属性必须为 pushservice-->

        <service android:name=".service.PushIntentService" />
    </application>

    <queries>
        <intent>
            <action android:name="com.getui.sdk.action" />
        </intent>
    </queries>
</manifest>